[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockTree.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 2628

`public constructor TDockTree.Create(`
`TheDockSite: TWinControl`
`); override;`

## Arguments

`TheDockSite` |  | The window control to be managed.

## Description

Create is the overridden constructor for the class instance. TheDockSite contains the windowed control handled in the docking tree. Create calls the inherited constructor using TheDockSite as the owner for the class instance.

Creates allocates resources needed for the RootZone property, and sets the value for its border width to 4.

## See also

TDockTree.RootZone |  | The root zone for the DockTree.
TDockManager |  | The layout manager for a docksite.